Bug 1312431 - Add support for detecting ppc64 LPAR as virt guests [NEEDINFO]
Add support for detecting ppc64 LPAR as virt guests
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-what (Show other bugs)
ppc64 Unspecified
high Severity unspecified
: rc
: 6.8
Assigned To: Richard W.M. Jones
Virtualization Bugs
Yehuda Zimmerman
: Reopened
Depends On: 1072524
Blocks: rhsm-ppc64 1269194 1301891 1359965 1364808
  Show dependency treegraph
Reported: 2016-02-26 11:47 EST by Adrian Likins
Modified: 2017-03-21 07:28 EDT (History)
16 users (show)

See Also:
Fixed In Version: virt-what-1.11-1.3.el6
Doc Type: Bug Fix
Doc Text:
"virt-what" now detects IBM POWER LPARs Previously, the "virt-what" utility did not recognize if the current system was running in an IBM POWER logical partition (LPAR). As a result, the *subscription-manager* utility displayed misleading licensing information for guest virtual machines running in an IBM POWER LPAR. With this update, "virt-what" was fixed and can now detect when the guest virtual machine is running in an IBM POWER LPAR. As a result, *subscription-manager* now provides correct subscription information in this scenario.
Story Points: ---
Clone Of: 1072524
Last Closed: 2017-03-21 07:28:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yzimmerm: needinfo? (rjones)

Attachments (Terms of Use)

  None (edit)
Comment 4 Bin Han 2016-11-01 21:45:09 EDT
Packager version:

1.prepare a lpar ppc4 system with RHEL6.9
2.Update the virt-what to the latest version
3.Run "Virt-what" 

[root@ibm-p730-03-lp1 ~]# virt-what

So verified.
Comment 10 errata-xmlrpc 2017-03-21 07:28:43 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.